﻿Imports Telerik.Web.UI

Partial Class Default2
    Inherits System.Web.UI.Page
    Protected Property EditedAppointmentID() As Object
        Get
            Return ViewState("EditedAppointmentID")
        End Get
        Set(ByVal value As Object)
            ViewState("EditedAppointmentID") = value
        End Set
    End Property


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        AddHandler RadScheduler2.AppointmentUpdate, AddressOf RadScheduler2_AppointmentUpdate
        AddHandler RadScheduler2.AppointmentCancelingEdit, AddressOf RadScheduler2_AppointmentCancelingEdit
        AddHandler RadScheduler2.AppointmentInsert, AddressOf RadScheduler2_AppointmentInsert
    End Sub

    Private Sub RadScheduler2_AppointmentInsert(ByVal sender As Object, ByVal e As SchedulerCancelEventArgs)
        RadDock1.Closed = True
    End Sub

    Private Sub RadScheduler2_AppointmentCancelingEdit(ByVal sender As Object, ByVal e As AppointmentCancelingEditEventArgs)
        RadDock1.Closed = True
    End Sub

    Private Sub RadScheduler2_AppointmentUpdate(ByVal sender As Object, ByVal e As AppointmentUpdateEventArgs)
        RadDock1.Closed = True
    End Sub

    Protected Sub RadScheduler1_FormCreating(ByVal sender As Object, ByVal e As SchedulerFormCreatingEventArgs)
        If e.Mode = SchedulerFormMode.Insert OrElse e.Mode = SchedulerFormMode.Edit Then
            EditedAppointmentID = e.Appointment.ID
            e.Cancel = True

            ScriptManager.RegisterStartupScript(Me, [GetType](), "formScript", "Sys.Application.add_load(openForm);", True)
            PopulateEditForm(e.Appointment, e.Mode)
        End If
    End Sub

    Protected Sub PopulateEditForm(ByVal editedAppointment As Appointment, ByVal mode As SchedulerFormMode)
        Dim appointmentToEdit As Appointment = RadScheduler1.PrepareToEdit(editedAppointment, RadScheduler1.EditingRecurringSeries)

        If mode = SchedulerFormMode.Edit Then
            RadScheduler2.ShowAdvancedEditForm(appointmentToEdit, RadScheduler1.EditingRecurringSeries)
        Else
            RadScheduler2.ShowAdvancedInsertForm(appointmentToEdit.Start.Add(RadScheduler2.TimeZoneOffset))
        End If

    End Sub

End Class
